Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"primary_phone": "<string>",
"primary_email": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Contacts
List contacts
Business-wide, newest-first, cursor-paginated. phone_number filters
to contacts holding that exact E.164 number.
GET
/
contacts
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"primary_phone": "<string>",
"primary_email": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Authorizations
Authorization Code flow against Dialbird's OIDC provider. The issued
access token is a JWT with aud: "public-api", verified against the
issuer JWKS.
FlowAuthorization Code
- Authorization URL
- https://app-staging.dialbird.io/oidc/auth
- Token URL
- https://app-staging.dialbird.io/oidc/token
- Refresh URL
- https://app-staging.dialbird.io/oidc/token
Scopes1
api:contacts:read
Read contacts.
Query Parameters
Required range:
1 <= x <= 100Opaque cursor from a previous response's next_cursor.
E.164 exact match, e.g. +15551234567.
Was this page helpful?
.png)